<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashFunctionDelegate Delegate
See Also

The application-specified hash function.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public delegate uint HashFunctionDelegate(
    	byte[] data
    )

Visual Basic (Declaration)

    Public Delegate Function HashFunctionDelegate ( _
    	data As Byte() _
    ) As UInteger

Visual C++

    public delegate unsigned int HashFunctionDelegate(
    	array<unsigned char>^ data
    )

#### Parameters

data
  Type: array< System..::.Byte >[]()[]
  A byte string representing a key in the database

#### Return Value

The hashed value of data

# See Also

BerkeleyDB Namespace